List nodes for a Kubernetes cluster

GET/v1/kubernetes_clusters/{kubernetes_cluster_id}/nodes

If you send a GET request to the /v1/kubernetes_clusters/{kubernetes_cluster_id}/nodes endpoint, you will get a list of nodes within the cluster. The path parameter selects a certain cluster. Bare metal nodes can be managed in the relevant block of the Host section.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
kubernetes_cluster_id
string

A unique identifier of a Kubernetes cluster.

Query Parameters

FieldDetails
search_pattern?
string

This pattern is used to return resources containing the parameter value in its name.

label_selector?
string

This parameter will filter results by labels. More details in the Labels section.

per_page?
integer

Default: 20

Range: 1–100

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

page?
integer

Default: 1

Min: 1

The number of a page (>= 1) that will be returned. By default, it's 1.

sorting?
string

Value in: "id", "created_at", "updated_at"

Default: "id"

This parameter sorts items. By default, it's id. Also, it's possible to sort by updated_at and created_at.

direction?
string

Value in: "ASC", "DESC"

Default: "ASC"

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Response Body

application/json

curl -X GET "https://example.com/v1/kubernetes_clusters/jneg5Ybw/nodes"
[  {    "id": "Vyb82mev",    "number": 80,    "hostname": "node80",    "configuration": "SSD.50",    "type": "cloud",    "role": "node",    "status": "pending",    "private_ipv4_address": "127.0.31.15",    "public_ipv4_address": "127.0.33.16",    "location_id": 1312,    "location_code": "location2672",    "ref_id": "MYer0EbO",    "cluster_id": "jneg5Ybw",    "node_group": {      "id": "y5eVOMaE",      "name": "node-group-73",      "description": null,      "type": "static",      "created_at": "2025-12-31T00:00:00.000Z",      "updated_at": "2025-12-31T00:00:00.000Z"    },    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "created_at": "2025-12-31T00:00:00Z",    "updated_at": "2025-12-31T00:00:00Z"  },  {    "id": "WPe9rxaL",    "number": 81,    "hostname": "node81",    "configuration": "SSD.50",    "type": "cloud",    "role": "node",    "status": "pending",    "private_ipv4_address": "127.0.34.17",    "public_ipv4_address": "127.0.36.18",    "location_id": 1312,    "location_code": "location2672",    "ref_id": "l9avgmbG",    "cluster_id": "jneg5Ybw",    "node_group": {      "id": "lNbW6Jay",      "name": "node-group-74",      "description": null,      "type": "static",      "created_at": "2025-12-31T00:00:00.000Z",      "updated_at": "2025-12-31T00:00:00.000Z"    },    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "created_at": "2025-12-31T00:00:00Z",    "updated_at": "2025-12-31T00:00:00Z"  },  {    "id": "nXe0Rvbx",    "number": 82,    "hostname": "node82",    "configuration": "SSD.50",    "type": "cloud",    "role": "node",    "status": "pending",    "private_ipv4_address": "127.0.37.18",    "public_ipv4_address": "127.0.39.19",    "location_id": 1312,    "location_code": "location2672",    "ref_id": "LDdwjRb1",    "cluster_id": "jneg5Ybw",    "node_group": {      "id": "QBeXDWey",      "name": "node-group-75",      "description": null,      "type": "static",      "created_at": "2025-12-31T00:00:00.000Z",      "updated_at": "2025-12-31T00:00:00.000Z"    },    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "created_at": "2025-12-31T00:00:00Z",    "updated_at": "2025-12-31T00:00:00Z"  }]